function handleCheckbox() {
    const extensionInput = document.getElementById("extensionInput");
    const directLineInput = document.getElementById("directLineInput");
    if (document.getElementById("directLineCheckbox").checked) {
        extensionInput.style.display = "none";
        directLineInput.style.display = "block";
        document.getElementById("extension").value = "";
    } else {
        extensionInput.style.display = "block";
        directLineInput.style.display = "none";
        document.getElementById("directLine").value = "";

    }
}

let backendUrl = "http://127.0.0.1:8090"

async function checkBackend() {
    try {
        const response = await fetch(backendUrl);
        console.log('Backend up with code ', response.status);
        console.log(response);
    } catch (err) {
        console.log(err);
    }
}

function saveBackendUrl() {
    let url = document.getElementById("newBackendUrlInput").value;
    if (!(url.includes("http://") || url.includes("https://") && url !== "")) {
        url = "http://" + url;
    }
    document.cookie = "backendUrl=" + url;
    console.log("Saved new backendUrl ", url);
}

function loadBackendUrl() {
    let cookieArray = document.cookie.split(";");
    for (let i = 0; i < cookieArray.length; i++) {
        let cookie = cookieArray[i].split("=");
        if (cookie[0] === "backendUrl") {
            backendUrl = cookie[1];
            console.log("Set backendUrl to ", backendUrl);
        } else {
            console.log("Unable to load backendUrl from cookie, defaulting to 127.0.0.1:8090");
        }
    }
}